Subject: bug#22199: Bug in coreutils for Linux Mint?? Package coreutils_8.21-1ubuntu5.3_amd64

From: Pádraig Brady <[email-masked]>
Date: Fri, 18 Dec 2015 10:28:47 +0000

On 18/12/15 00:23, Dave wrote:
> df's output shows this on a standard run(df with no flags):
> 
> Filesystem     1K-blocks      Used Available Use% Mounted on
> udev             1953632         4   1953628   1% /dev
> tmpfs             400436      1216    399220   1% /run
> /dev/sda1      957218452 302330152 606241340  34% /
> none                   4         0         4   0% /sys/fs/cgroup
> none                5120         0      5120   0% /run/lock
> none             2002168         8   2002160   1% /run/shm
> none              102400         4    102396   1% /run/user
> /dev/sdb1      957218452 302510240 606061252  34% /mnt/bkup/device2
> 
> But when I mount an external USB disk that's on /dev/sdc1, df shows this 
> output:
> 
> Filesystem     1K-blocks      Used Available Use% Mounted on
> udev             1953632         4   1953628   1% /dev
> tmpfs             400436      1272    399164   1% /run
> /dev/sdc1      957218452 302334136 606237356  34% /
> none                   4         0         4   0% /sys/fs/cgroup
> none                5120         0      5120   0% /run/lock
> none             2002168         8   2002160   1% /run/shm
> none              102400         4    102396   1% /run/user
> /dev/sdb1      957218452 302498156 606073336  34% /mnt/bkup/device2
> /dev/sdc1      957218452 302564064 606007428  34% /mnt/bkup/externaldevice
> 
> The filesystem of "/" has mysteriously changed (in appearance) to 
> /dev/sdc1?!  All I did was mount the /dev/sdc1 device.  In fact, 
> /dev/sdc1 is ONLY mounted at /mnt/bkup/externaldevice, and the mounted 
> filesystem on "/" is still /dev/sda1.  I tested by writing a couple of 
> files, plus mount shows the correct info:
> 
> /dev/sda1 on / type ext4 (rw,errors=remount-ro)
> /dev/sdb1 on /mnt/bkup/device2 type ext4 (rw)
> 
> If I unmount /mnt/bkup/externaldevice, df still shows /dev/sdc1 as the 
> "/" filesystem for a small amount of time (10-20 seconds) and then it 
> goes back to the correct filesystem of /dev/sda1.
> 
> What is going on??  This only happened after upgrading to the package of 
> coreutils mentioned in the subject, it was not doing this previously.  
> Also, to note, the first two lines of the df output regarding udev and 
> tmpfs did not appear until this version either.  I did see in the 
> changelog that df was updated to display some additional information, so 
> perhaps it has to do with that??

I see that ubuntu has backported _some_ patches from master.
Perhaps they were incomplete. Could you please try out this latest df binary.

  wget http://www.pixelbeat.org/cu/df
  chmod a+x df
  ./df

(There is a df.sig file is the same dir for gpg verification
 using the public key associated with this email address if desired)

cheers,
Pádraig.